Vine Linux バグトラッキングシステム

課題の詳細を表示 コメントにジャンプ ] 課題の履歴 ] 印刷 ]
IDプロジェクトカテゴリ登録日最終更新
0002837Vine Linux1 バグ2014-12-19 22:152015-01-04 21:52
報告者shirow_higa 
担当者munepi 
優先度再現性毎回 
状態完了解決状況実装済 
バージョンVineSeed 
修正予定バージョンVineSeed修正済バージョンVineSeed 
概要0002837: [Seed] self-build-vlcをインストールすると、ソースファイルのダウンロードに失敗する。
説明self-build-vlcをインストールすると、
ソースファイルのダウンロードに失敗するようになりました。


'------------------------
  self-build-vlc-2.1.2-2vl7.noarch ############################## [100%]
     rpm パッケージの作成を開始します。(self-build-vlc)
     ソースファイルをダウンロードしています...
http://download.videolan.org/pub/videolan/vlc/2.1.2/vlc-2.1.2.tar.xz [^]
--2014-12-19 22:04:38-- http://download.videolan.org/pub/videolan/vlc/2.1.2/vlc-2.1.2.tar.xz [^]
download.videolan.org をDNSに問いあわせています... 195.154.236.203, fe80::be30:5bff:fed0:40f9
download.videolan.org|195.154.236.203|:80 に接続しています... 接続しました。
HTTP による接続要求を送信しました、応答を待っています... 404 Not Found
2014-12-19 22:04:39 エラー 404: Not Found。

     ソースファイルのダウンロードが完了しました。
     rpm パッケージをビルドしています...
      (詳細は /var/tmp/self-build-vlc.log を参照してください。)

     rpm パッケージのビルドが完了しました。
     *エラー: rpm パッケージがみつかりません。
完了
'------------------------


また、/var/tmp/self-build-vlc.logの内容は以下になります。
'------------------------
エラー: ファイル /var/tmp/self-build-vlc.2nQXa6/rpm/SOURCES/self-build-vlc/vlc-2.1.2.tar.xz: そのようなファイルやディレクトリはありません
'------------------------


そのため提供先のURLを見ると、以下のように変更されているようです。

誤:http://download.videolan.org/pub/videolan/vlc/2.1.2/vlc-2.1.2.tar.xz [^]
正:http://download.videolan.org/vlc/2.1.2/vlc-2.1.2.tar.xz [^]

確認の程、よろしくお願い致します。

再現方法説明文に記載
タグ設定されていません。
archx86, x86_64
パッケージself-build-vlc-2.1.2-2vl7.noarch
添付ファイル

- 関連

-  コメント
(0009035)
munepi (管理者)
2015-01-02 16:51

> そのため提供先のURLを見ると、以下のように変更されているようです。
>
> 誤:http://download.videolan.org/pub/videolan/vlc/2.1.2/vlc-2.1.2.tar.xz [^] [^]
> 正:http://download.videolan.org/vlc/2.1.2/vlc-2.1.2.tar.xz [^] [^]
>
> 確認の程、よろしくお願い致します。
VLCソースの提供先URLが変更されていることを確認できました。

[VineSeed:027072] において、各種ソースを更新するとともに、VideoLANドメイン化の x264, vlc ソースの提供先URLも変更いたしました。
(0009041)
shirow_higa (報告者)
2015-01-02 21:32

新しい「self-build-vlc-2.2.0-1.rc2vl7.noarch.rpm」が、
アップされているのを確認しました。

しかし、現在インストールしようとすると依存関係のため保留されます。


$ sudo apt-get install self-build-vlc
'----------------------
以下のパッケージは解決できない依存関係を持っています:
  self-build-vlc: 先行依存: self-build-ffmpeg (>= 2.4.0)
'----------------------

$ sudo apt-get install self-build-ffmpeg
'----------------------
以下のパッケージは解決できない依存関係を持っています:
  self-build-ffmpeg: 先行依存: self-build-x265 (>= 1.4) それをインストールすることができません
'----------------------

$ sudo apt-get install self-build-x265
'----------------------
パッケージ self-build-x265 はデータベースには存在しますが、利用可能なバージョン
が存在しません。パッケージの依存が指定されているのにアップロードされてい
ない、既に廃止されている、sources.list で指定されたリポジトリに存在しない、
といった状況が考えられます。
'----------------------


確かに、「http://ftp.vinelinux.org/pub/Vine/VineSeed/i386/RPMS.nonfree/ [^]」内を探しても、self-build-x265は無いようです。

そのため、更新パッケージは未テストの状態です。
※たぶん、しばらくしたらアップされるのかな?
(0009076)
ken (開発者)
2015-01-04 12:43

最小環境から
http://trac.vinelinux.org/wiki/Vine7/HowToUpgrade [^]
概ねこのとうりにMate環境を構築しました
最新の状態に保ったところで
導入してみたところ
正常にビルドされたようです。

$ sudo apt-get install self-build-vlc

以下の追加パッケージがインストールされます:
  GConf2-devel ORBit2-devel SDL SDL-devel SDL_image SDL_image-devel
  TrueType-dejavu TrueType-dejavu-doc TrueType-dejavu-sans
  TrueType-dejavu-sans-mono TrueType-dejavu-serif aalib aalib-devel
  alsa-lib-devel apr apr-util at-spi2-atk-devel at-spi2-core-devel atk-devel
  avahi-devel bzip2-devel cairo-devel cdparanoia-devel celt-devel cmake
  compat32-e2fsprogs-devel.32bit compat32-e2fsprogs.32bit
  compat32-keyutils-libs.32bit compat32-krb5-devel.32bit
  compat32-krb5-libs.32bit compat32-openssl-devel.32bit compat32-openssl.32bit
  dbus-devel dbus-glib-devel e2fsprogs-devel enca enca-devel
  eudev-libudev-devel expat-devel flac flac-devel fontconfig-devel
  freeglut-devel freetype2-devel fribidi fribidi-devel gdk-pixbuf2-devel glib
  glib-devel glib2-devel gmp-devel gnome-vfs2-devel gnutls-devel
  gobject-introspection-devel gsm gsm-devel gtk+ gtk+-devel gtk2-devel
  gtk3-devel harfbuzz-devel id3lib id3lib-devel imake imlib2 imlib2-devel
  imlib2-loaders indent jack-audio-connection-kit-devel keyutils-libs-devel
  krb5-devel libFS-devel libICE-devel libIDL-devel libSM-devel libX11-devel
  libXau-devel libXaw-devel libXcomposite-devel libXcursor-devel
  libXdamage-devel libXdmcp-devel libXevie-devel libXext-devel libXfixes-devel
  libXfont-devel libXfontcache-devel libXft-devel libXi-devel
  libXinerama-devel libXmu-devel libXp-devel libXpm-devel libXrandr-devel
  libXrender-devel libXres-devel libXt-devel libXtst-devel libXv-devel
  libXvMC-devel libXxf86vm-devel libass libass-devel libbonobo-devel libcddb
  libcddb-devel libcdio libcdio-devel libcdio-paranoia libcdio-paranoia-devel
  libdc1394 libdc1394-devel libdirectfb libdirectfb-devel libdrm-devel
  libdvdnav libdvdnav-devel libdvdread libdvdread-devel libebml libebml-devel
  libedit libffi-devel libfontenc-devel libgcrypt-devel libgpg-error-devel
  libid3tag libid3tag-devel libjpeg-turbo-devel libmatroska libmatroska-devel
  libmodplug libmodplug-devel libmp4v2 libmp4v2-devel libmpcdec
  libmpcdec-devel libmtp libmtp-devel libmusicbrainz libmusicbrainz-devel
  libnotify-devel libogg-devel libpng-devel libproxy-devel libraw1394-devel
  librsvg2-devel librtmp librtmp-devel libserf libshout libshout-devel
  libsmbclient-devel libssh2-devel libsysfs libtasn1-devel libtheora-devel
  libtiff-devel libupnp libupnp-devel libusb1-devel libv4l-devel libva
  libva-devel libvdpau libvdpau-devel libvncserver libvorbis-devel
  libvpx-devel libxcb-devel libxkbfile-devel libxml2-devel libxshmfence-devel
  lua-devel lzo-minilzo mesa-libEGL-devel mesa-libGL-devel mesa-libGLU-devel
  nasm ncurses-devel nettle-devel openal-soft openal-soft-devel openslp
  openslp-devel openssl-devel p11-kit-devel pango-devel pcre-devel
  pixman-devel pulseaudio-libs-devel qt4-devel self-build-a52dec
  self-build-faac self-build-faad2 self-build-ffmpeg self-build-gpac
  self-build-lame self-build-libdca self-build-libdvbpsi self-build-libmad
  self-build-libmpeg2 self-build-setup self-build-x264 self-build-x265
  self-build-xvidcore slang-devel speex-devel subversion sysfsutils
  sysfsutils-devel taglib-devel twolame twolame-devel vcdimager
  vcdimager-devel wget wxBase wxGTK wxGTK-devel xcb-util-devel xorg-x11-devel
  xorg-x11-proto-devel xorg-x11-util-macros xorg-x11-xtrans-devel yasm zenity
  zlib-devel
以下のパッケージが新たにインストールされます:
  GConf2-devel ORBit2-devel SDL SDL-devel SDL_image SDL_image-devel
  TrueType-dejavu TrueType-dejavu-doc TrueType-dejavu-sans
  TrueType-dejavu-sans-mono TrueType-dejavu-serif aalib aalib-devel
  alsa-lib-devel apr apr-util at-spi2-atk-devel at-spi2-core-devel atk-devel
  avahi-devel bzip2-devel cairo-devel cdparanoia-devel celt-devel cmake
  compat32-e2fsprogs-devel.32bit compat32-e2fsprogs.32bit
  compat32-keyutils-libs.32bit compat32-krb5-devel.32bit
  compat32-krb5-libs.32bit compat32-openssl-devel.32bit compat32-openssl.32bit
  dbus-devel dbus-glib-devel e2fsprogs-devel enca enca-devel
  eudev-libudev-devel expat-devel flac flac-devel fontconfig-devel
  freeglut-devel freetype2-devel fribidi fribidi-devel gdk-pixbuf2-devel glib
  glib-devel glib2-devel gmp-devel gnome-vfs2-devel gnutls-devel
  gobject-introspection-devel gsm gsm-devel gtk+ gtk+-devel gtk2-devel
  gtk3-devel harfbuzz-devel id3lib id3lib-devel imake imlib2 imlib2-devel
  imlib2-loaders indent jack-audio-connection-kit-devel keyutils-libs-devel
  krb5-devel libFS-devel libICE-devel libIDL-devel libSM-devel libX11-devel
  libXau-devel libXaw-devel libXcomposite-devel libXcursor-devel
  libXdamage-devel libXdmcp-devel libXevie-devel libXext-devel libXfixes-devel
  libXfont-devel libXfontcache-devel libXft-devel libXi-devel
  libXinerama-devel libXmu-devel libXp-devel libXpm-devel libXrandr-devel
  libXrender-devel libXres-devel libXt-devel libXtst-devel libXv-devel
  libXvMC-devel libXxf86vm-devel libass libass-devel libbonobo-devel libcddb
  libcddb-devel libcdio libcdio-devel libcdio-paranoia libcdio-paranoia-devel
  libdc1394 libdc1394-devel libdirectfb libdirectfb-devel libdrm-devel
  libdvdnav libdvdnav-devel libdvdread libdvdread-devel libebml libebml-devel
  libedit libffi-devel libfontenc-devel libgcrypt-devel libgpg-error-devel
  libid3tag libid3tag-devel libjpeg-turbo-devel libmatroska libmatroska-devel
  libmodplug libmodplug-devel libmp4v2 libmp4v2-devel libmpcdec
  libmpcdec-devel libmtp libmtp-devel libmusicbrainz libmusicbrainz-devel
  libnotify-devel libogg-devel libpng-devel libproxy-devel libraw1394-devel
  librsvg2-devel librtmp librtmp-devel libserf libshout libshout-devel
  libsmbclient-devel libssh2-devel libsysfs libtasn1-devel libtheora-devel
  libtiff-devel libupnp libupnp-devel libusb1-devel libv4l-devel libva
  libva-devel libvdpau libvdpau-devel libvncserver libvorbis-devel
  libvpx-devel libxcb-devel libxkbfile-devel libxml2-devel libxshmfence-devel
  lua-devel lzo-minilzo mesa-libEGL-devel mesa-libGL-devel mesa-libGLU-devel
  nasm ncurses-devel nettle-devel openal-soft openal-soft-devel openslp
  openslp-devel openssl-devel p11-kit-devel pango-devel pcre-devel
  pixman-devel pulseaudio-libs-devel qt4-devel self-build-a52dec
  self-build-faac self-build-faad2 self-build-ffmpeg self-build-gpac
  self-build-lame self-build-libdca self-build-libdvbpsi self-build-libmad
  self-build-libmpeg2 self-build-setup self-build-vlc self-build-x264
  self-build-x265 self-build-xvidcore slang-devel speex-devel subversion
  sysfsutils sysfsutils-devel taglib-devel twolame twolame-devel vcdimager
  vcdimager-devel wget wxBase wxGTK wxGTK-devel xcb-util-devel xorg-x11-devel
  xorg-x11-proto-devel xorg-x11-util-macros xorg-x11-xtrans-devel yasm zenity
  zlib-devel
アップグレード: 0 個, 新規インストール: 229 個, 削除: 0 個, 保留: 2 個
70.7MB のアーカイブを取得する必要があります。
展開後に 433MB のディスク容量が追加消費されます。
続行しますか? [Y/n]y

ターミナル上から起動したときのメッセージ
$ vlc
VLC media player 2.2.0-rc2 Weatherwax (revision 2.2.0-rc1-118-g22fda39)
[00000000006dea58] pulse audio output error: PulseAudio server connection failure: 接続拒否
[00000000006d1508] core interface error: no suitable interface module
[0000000000604158] core libvlc error: interface "globalhotkeys,none" initialization failed
[0000000000604158] core libvlc: vlcはデフォルトのインターフェースで実行しています。インターフェースのない vlc を使用するには'cvlc'を使用してください。
Fontconfig warning: "/etc/fonts/conf.d/59-ipa-mincho.conf", line 10: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/59-ipa-mincho.conf", line 26: Having multiple values in <test> isn't supported and may not work as expected

構築した後に気がつきましたが、私のVineSeed環境のマシンはサウンドボードがつまれていません、耳で確認していませんがとりあえずmp3は再生できるようです。
(0009078)
shirow_higa (報告者)
2015-01-04 18:41

2、3日経って本日パッケージを更新した所、
無事にインストールできる事を確認しました。

また。mp3とmpeg2-tsの再生も確認できました。

ご対応頂き、ありがとうございました。
(0009079)
munepi (管理者)
2015-01-04 21:52

kenさん、shirow_higaさん、
ご確認およびご報告をありがとうございました。
本件を「完了」とします。

もしkenさん、shirow_higaさんが今後可能であれば、マルチメディア系にご興味のある方々に、パッケージの更新などもお手伝いいただけたら、大変に助かります。

- 課題の履歴
変更日 ユーザー名 項目 変更内容
2014-12-19 22:15 shirow_higa 新規課題
2015-01-02 16:51 munepi コメント追加: 0009035
2015-01-02 16:52 munepi arch x86 => x86, x86_64
2015-01-02 16:52 munepi 状態 新規 => テスト待ち
2015-01-02 16:52 munepi 解決状況 不明 => 実装済
2015-01-02 16:52 munepi 修正済バージョン => VineSeed
2015-01-02 16:52 munepi 修正予定バージョン => VineSeed
2015-01-02 17:02 munepi 担当者 => munepi
2015-01-02 21:32 shirow_higa コメント追加: 0009041
2015-01-04 12:43 ken コメント追加: 0009076
2015-01-04 18:41 shirow_higa コメント追加: 0009078
2015-01-04 21:52 munepi コメント追加: 0009079
2015-01-04 21:52 munepi 状態 テスト待ち => 完了


Copyright © 2000 - 2018 MantisBT Team
Copyright © 2012 - 2018 Project Vine
Powered by Mantis Bugtracker